      double precision function inmit4(j,i,x,y)
c ..............................................
c     polynomes d'interpolation mit9
c
c          j = 1  composantes  eps_rr, eps_rz
c          j = 2  composantes  eps_ss, eps_sz
c          j = 3  composante   eps_rs
c ...............................................
      double precision xt1(2),yt1(2),xt2(2),yt2(2),x,y
c     comp rr rz
      data xt1 /0.,0./
      data yt1 /-1.,1./
c     comp ss  sz
      data xt2 /-1.,1./
      data yt2 /0.,0. /
c     comp rs
c
c     composantes eps_rr, eps_rz
c     --------------------------
      if (j .eq. 1) then
         inmit4 = .5*(1+y/yt1(i))

c
c     composantes eps_ss, eps_sz
c     --------------------------

      else if (j .eq. 2) then

         inmit4 =  .5*(1+x/xt2(i))

c
c     composante eps_rs
c     --------------------------

      else if (j .eq. 3) then
         call mexErrMsgTxt('eps rs : curieux!')
        return

      endif
      end
